#
# spec file for package kadslwatch (Version 01.00.04)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  capi4linux kde3-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils capi4linux expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libidn libidn-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel rpm update-desktop-files

Name:         kadslwatch
URL:          ftp://ftp.avm.de/tools/k_adsl_watch.linux
License:      GPL
Group:        Hardware/Other
Summary:      Monitor for Fritz!Card DSL Controllers
Version:      01.00.04
Release:      1.1
Source0:      kadslwatch-%{PACKAGE_VERSION}.tar.bz2
Patch0:       kadslwatch.diff
Patch1:       kadslwatch-%{PACKAGE_VERSION}.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Kadslwatch is a monitor for the K Desktop Environment to inform about
the status of an ADSL connection with Fritz!Card DSL (PCI and USB).
This tool resides in the toolbar on the KDE desktop. On establishment
of an ADSL connection kadslwatch pops up a window with more detailed
information. This only works with AVM's Fritz!Card DSL controllers.



Authors:
--------
    info@avm.de (AVM GmbH)

%prep
%setup -q
%patch
%patch1 -p1
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde
make

%install
. /etc/opt/kde3/common_options
rm -rf %{buildroot}
make DESTDIR=%{buildroot} $INSTALL_TARGET
%suse_update_desktop_file %name System Monitor

%clean
#rm -rf %{buildroot}

%files
%defattr (-, root, root)
%doc COPYING kadslwatch-%{PACKAGE_VERSION}.lsm README.html LIESMICH.html
%dir /opt/kde3/share
%dir /opt/kde3/share/applnk
%dir /opt/kde3/share/applnk/Internet
%dir /opt/kde3/share/icons
%dir /opt/kde3/share/icons/locolor
%dir /opt/kde3/share/icons/locolor/16x16
%dir /opt/kde3/share/icons/locolor/16x16/apps
%dir /opt/kde3/share/icons/locolor/32x32
%dir /opt/kde3/share/icons/locolor/32x32/apps
%dir /opt/kde3/share/icons/hicolor
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/share/icons/hicolor/32x32/apps
/opt/kde3/bin/kadslwatch
/opt/kde3/share/applnk/Internet/kadslwatch.desktop
/opt/kde3/share/icons/locolor/16x16/apps/kadslwatch.png
/opt/kde3/share/icons/locolor/32x32/apps/kadslwatch.png
/opt/kde3/share/icons/hicolor/16x16/apps/kadslwatch.png
/opt/kde3/share/icons/hicolor/32x32/apps/kadslwatch.png

%changelog -n kadslwatch
* Mon Jun 07 2004 - kkeil@suse.de
- fixed version from AVM ready for kernel 2.6 (#41728)
* Sun Mar 07 2004 - kkeil@suse.de
- update to version 01.00.03
* Sat Aug 09 2003 - adrian@suse.de
- add Categories
* Wed Jul 23 2003 - kkeil@suse.de
- update to version 01.00.02
* Sat Jun 14 2003 - kkeil@suse.de
- fix filelist
* Mon Jan 27 2003 - kkeil@suse.de
- first version
